Index: utils/HOWTO-boxmaker
===================================================================
--- utils/HOWTO-boxmaker	(revision b82ededdc872491af61799929b45ad2c39327723)
+++ utils/HOWTO-boxmaker	(revision b82ededdc872491af61799929b45ad2c39327723)
@@ -0,0 +1,146 @@
+Boxmaker creates boxes of specific density filled with molecules
+
+==========================================================
+
+Usage:
+    boxmaker.py <basename> [option1 value1...]
+    
+    boxmaker.py <basename> [+boolean_option -other_boolean_option]
+    same as
+    boxmaker.py <basename> [boolean_option on other_boolean_option off]
+    
+==========================================================
+
+If existing boxmaker reads boxmaker.<basename> as configuration file. The
+syntax used is:
+
+# comment line
+option1 = value1
+option2 = value2
+...
+
+Note that shortcuts rather than actual option names can be used at all times,
+however this is not recommended in the configuration file for clarities sake.
+
+Options with units will be converted to the system specified by the
+<basename>.tremolo file if autodim=on. If the value is preceeded by ! the unit
+convertion can be switched off for this specific value.
+ 
+o List of name-value options:
+
+tremofiledir
+    (Optional if autodim=off)
+    Shortcut: tf
+    Default: ./
+    
+    <basename>.tremolo is needed to dertermine the targed system of units. tf
+    specifies where to find the file.
+    
+potentialsfiledir
+    Shortcut: pf
+    Default: ./
+    
+    <basename>.potentials is needed internally for MoleCuilders element
+    mapping. Also, if automass=on, it's needed to automatically determine the
+    input molecules molar mass.
+    pf specifies where to find the file.
+    
+outfilename
+    Shortcut: o
+    Default: out
+    
+    The name stem of the output files. By default its out.xyz and out.data
+
+source
+    Shortcut: i
+    Default: None
+    
+    The full path to the molecule file used to fill the box. Supports any format
+    MoleCuilder does.
+    
+molarmass
+    (Optional if automass=on)
+    Shortcut: m
+    Default: None
+    
+    Specify the molar mass of the input molecule. Value with unit.
+    
+    E.g.: molarmass = 23.45e-3 kg/mol
+    E.g.: molarmass = !66.3333
+    
+density
+    Shortcut: rho
+    Default: None
+    
+    Specify the desired density of the box. Value with unit.
+    
+temp
+    (Optional)
+    Shortcut: t
+    Default: None
+    
+    If specified and postprocessing is on, the resulting data-file is given an
+    additional
+    
+    # INPUTCONV temp <converted value>
+    
+    header-line. Value with unit.
+
+number
+    Shortcut: n
+    Default: 1000
+
+    How many molecules is the box supposed to contain? Might be internally
+    changed if cubicdomain=on.
+    
+    If number is a vector the box is filled by x*y*z molecules, ignoring
+    the option cubicdomain.
+    
+    E.g.: number = 4 3 9
+    
+o List of boolean options:
+
+cubicdomain
+    Shortcut: cd
+    Default: on
+    
+    If on the box is filled with n*n*n molecules where n is the nearest power
+    of 3 to fit number. Ignored if number is a vector. 
+    
+cubiccell
+    Shortcut: cc
+    Default: off
+    
+    Normally the cuboid of an elementary cell is the input molecules bounding
+    box, scaled to fit the desired molecular volume. If on the elementary cells
+    strictly cubic. Its the only way to archive a cubic simulation area (given
+    cubicdomain is on), but its very likely that molecules will overlap unless
+    its near cubic.
+    
+autorotate
+    Shortcut: ar
+    Default: off
+    
+    Uses MoleCuilder to rotate the input molecule in a way such that the
+    bouding box' volume is minimized, leading to a higher possible density
+    without overlap.
+    
+autodim
+    Shortcut: ad
+    Default: on
+    
+    If on units will be converted to the system specified in the tremolo-file.
+    
+postprocess
+    Shortcut: pp
+    Default: on
+    
+    Adds "# INPUTCONV shift center" to the resulting data file. If a
+    temperature is given its added as well.
+    
+automass
+    Shortcut: am
+    Default: on
+    
+    If specified boxmaker tries to determine the molar mass using the
+    <basename>.potentials file.
